%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             picketbox
Version:          4.0.18
Release:          1%{?dist}
Summary:          Security framework for Java Applications
License:          LGPLv2+
URL:              http://www.jboss.org/picketbox

# svn export http://anonsvn.jboss.org/repos/picketbox/tags/4.0.18.Final/ picketbox-4.0.18.Final
# tar cafJ picketbox-4.0.18.Final.tar.xz picketbox-4.0.18.Final
Source0:          picketbox-%{namedversion}.tar.xz
Source1:          picketbox-%{namedversion}-pom.xml

Patch0:           picketbox-%{namedversion}-assembly.patch

BuildArch:        noarch

BuildRequires:    concurrent
BuildRequires:    hibernate-jpa-2.0-api >= 1.0.1-5
BuildRequires:    hibernate3
BuildRequires:    hibernate3-entitymanager
BuildRequires:    hibernate-commons-annotations
BuildRequires:    hsqldb
BuildRequires:    infinispan
BuildRequires:    javacc-maven-plugin
BuildRequires:    java-devel
BuildRequires:    jboss-connector-1.6-api
BuildRequires:    jboss-jacc-1.4-api
BuildRequires:    jboss-jaspi-1.0-api
BuildRequires:    jboss-parent
BuildRequires:    jboss-servlet-3.0-api
BuildRequires:    geronimo-jpa
BuildRequires:    jboss-transaction-1.1-api
BuildRequires:    maven-local
BuildRequires:    jboss-logging-tools
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-injection-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    picketbox-commons
BuildRequires:    picketbox-xacml
BuildRequires:    rhq-plugin-annotations

%description
Java Security Framework that provides Java developers the following
functionality:

- Authentication Support
- Authorization Support
- Audit Support
- Security Mapping Support
- An Oasis XACML v2.0 compliant engine

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n picketbox-%{namedversion}

%patch0 -p1

# Change hibernate version
sed -i 's|3.6.6.Final|3|g' security-jboss-sx/acl/pom.xml

%pom_remove_dep "org.hibernate:hibernate-annotations" security-jboss-sx/acl/pom.xml

%build
%mvn_build -f

%install
%mvn_install

# Assembly jar
install -pm 644  assembly/target/picketbox-%{namedversion}-bin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}.jar
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%add_maven_depmap JPP.%{name}-%{name}.pom %{name}/%{name}.jar

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc

%changelog
* Tue Jul 09 2013 Marek Goldmann <mgoldman@redhat.com> - 4.0.18-1
- Upstream release 4.0.18.Final

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 4.0.6-8
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Aug 6 2012 Ricardo Arguello <ricardo@fedoraproject.org> - 4.0.6-7
- Added BR: maven-enforcer-plugin

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 23 2012 Ricardo Arguello <ricardo@fedoraproject.org> 4.0.6-5
- Added rhq-plugin-annotations to BR and R

* Thu Mar 22 2012 Ricardo Arguello <ricardo@fedoraproject.org> 4.0.6-4
- Fixed description to be shorter than 80 chars
- Removed macro char from changelog

* Fri Mar 16 2012 Ricardo Arguello <ricardo@fedoraproject.org> 4.0.6-3
- Replaced dependency for geronimo-jpa with hibernate-jpa-2.0-api
- Added dependencies jboss-servlet-3.0-api and jboss-transaction-1.1-api
- Fixed add_maven_depmap for picketbox/bare.jar

* Thu Mar 8 2012 Ricardo Arguello <ricardo@fedoraproject.org> 4.0.6-2
- Cleanup of the spec file

* Fri Jan 27 2011 Marek Goldmann <mgoldman@redhat.com> 4.0.6-1
- Initial packaging
